tpg: XTpg Struct Reference

| tpg Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XTpg Struct Reference
Tpg_v3_1

The XTpg driver instance data structure. More...

## Data Fields
XTpg_Config | Config
| Hardware configuration. More...
u32 | IsReady
| Core and the driver instance are initialized. More...
u16 | HSize
| Active Video Horizontal Size. More...
u16 | VSize
| Active Video Vertical Size. More...
XTpg_CallBack | ProcStartCallBack
| Callback for Processing Start interrupt. More...
void * | ProcStartRef
| To be passed to the Process Start interrupt callback. More...
XTpg_CallBack | FrameDoneCallBack
| Callback for Frame Done interrupt. More...
void * | FrameDoneRef
| To be passed to the Frame Done interrupt callback. More...
XTpg_ErrorCallBack | ErrCallBack
| Callback for Error interrupt. More...
void * | ErrRef
| To be passed to the Error interrupt callback. More...

## Detailed Description

The XTpg driver instance data structure.

A pointer to an instance data structure is passed around by functions to refer to a specific driver instance.

## Field Documentation

XTpg_Config XTpg::Config

Hardware configuration.

Referenced by XTpg_CfgInitialize(), XTpg_DisableBox(), XTpg_DisableCrossHair(), XTpg_DisableMotion(), XTPg_DisableNoise(), XTpg_DisableStuckPixel(), XTpg_EnableBox(), XTpg_EnableCrossHair(), XTpg_EnableMotion(), XTPg_EnableNoise(), XTpg_EnableStuckPixel(), XTpg_GetActiveSize(), XTpg_GetBackground(), XTpg_GetBayerPhase(), XTpg_GetBoxColor(), XTpg_GetBoxSize(), XTpg_GetComponentMask(), XTpg_GetCrosshairPosition(), XTpg_GetMotionSpeed(), XTpg_GetNoiseGain(), XTpg_GetPattern(), XTpg_GetStuckPixelThreshold(), XTpg_GetVersion(), XTpg_GetZPlateHSpeed(), XTpg_GetZPlateHStart(), XTpg_GetZPlateVSpeed(), XTpg_GetZPlateVStart(), XTpg_IntrHandler(), XTpg_SelfTest(), XTpg_SetActiveSize(), XTpg_SetBackground(), XTpg_SetBayerPhase(), XTpg_SetBoxColor(), XTpg_SetBoxSize(), XTpg_SetComponentMask(), XTpg_SetCrosshairPosition(), XTpg_SetMotionSpeed(), XTpg_SetNoiseGain(), XTpg_SetPattern(), XTpg_SetStuckPixelThreshold(), XTpg_Setup(), XTpg_SetZPlateHSpeed(), XTpg_SetZPlateHStart(), XTpg_SetZPlateVSpeed(), and XTpg_SetZPlateVStart().

XTpg_ErrorCallBack XTpg::ErrCallBack

Callback for Error interrupt.

Referenced by XTpg_CfgInitialize(), XTpg_IntrHandler(), and XTpg_SetCallBack().

void* XTpg::ErrRef

To be passed to the Error interrupt callback.

Referenced by XTpg_IntrHandler(), and XTpg_SetCallBack().

XTpg_CallBack XTpg::FrameDoneCallBack

Callback for Frame Done interrupt.

Referenced by XTpg_CfgInitialize(), XTpg_IntrHandler(), and XTpg_SetCallBack().

void* XTpg::FrameDoneRef

To be passed to the Frame Done interrupt callback.

Referenced by XTpg_IntrHandler(), and XTpg_SetCallBack().

u16 XTpg::HSize

Active Video Horizontal Size.

u32 XTpg::IsReady

Core and the driver instance are initialized.

Referenced by XTpg_CfgInitialize(), XTpg_IntrHandler(), and XTpg_SetCallBack().

XTpg_CallBack XTpg::ProcStartCallBack

Callback for Processing Start interrupt.

Referenced by XTpg_CfgInitialize(), XTpg_IntrHandler(), and XTpg_SetCallBack().

void* XTpg::ProcStartRef

To be passed to the Process Start interrupt callback.

Referenced by XTpg_IntrHandler(), and XTpg_SetCallBack().

u16 XTpg::VSize

Active Video Vertical Size.

Referenced by XTpg_Setup().